Package org.apache.storm.loadgen

# Class SlowExecutorPattern

java.lang.Object
org.apache.storm.loadgen.SlowExecutorPattern

All Implemented Interfaces:
  `Serializable`

public class SlowExecutorPattern extends Object implements Serializable
A repeating pattern of skewedness in processing times. This is used to simulate an executor that slows down.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final int`
  `count`
  `final double`
  `maxSlownessMs`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SlowExecutorPattern(double maxSlownessMs, int count)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SlowExecutorPattern`
  `fromConf(Map<String,Object> conf)`
  Creates a SlowExecutorPattern from a Map config.
  `static SlowExecutorPattern`
  `fromString(String strRepresentation)`
  Parses a string (command line) representation of "<SLOWNESS>(:<COUNT>)?".
  `double`
  `getExtraSlowness(int index)`
  `Map<String,Object>`
  `toConf()`
  Convert this to a Config map.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### maxSlownessMs

    public final double maxSlownessMs

  - ### count

    public final int count

- ## Constructor Details

  - ### SlowExecutorPattern

    public SlowExecutorPattern(double maxSlownessMs, int count)

- ## Method Details

  - ### fromString

    public static SlowExecutorPattern fromString(String strRepresentation)
    Parses a string (command line) representation of "<SLOWNESS>(:<COUNT>)?".
    Parameters:
      `strRepresentation` - the string representation to parse
    Returns:
      the corresponding SlowExecutorPattern.

  - ### fromConf

    public static SlowExecutorPattern fromConf(Map<String,Object> conf)
    Creates a SlowExecutorPattern from a Map config.
    Parameters:
      `conf` - the conf to parse.
    Returns:
      the corresponding SlowExecutorPattern.

  - ### toConf

    public Map<String,Object> toConf()
    Convert this to a Config map.
    Returns:
      the corresponding Config map to this.

  - ### getExtraSlowness

    public double getExtraSlowness(int index)